import React, { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl =
  'https://gist.githubusercontent.com/deltiger/c61b9900274c67409e62736ee1f668ee/raw/547510e2d70b17d849d7eec16b712332d40271e4/util_by_hhrg_2016.csv';

export const useData = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    const row = d => {
      d.patients = +d.patients;
      d.mean_payment = +d.mean_payment;
      d.service_severity = +d.service_severity;
      d.clinical_severity = +d.clinical_severity;
      return d;
    };
    csv(csvUrl, row).then(setData);
  }, []);
  
  return data;
};